Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -8840,28 +8609,28 @@
             case TGT_RSP_CAS_IDLE: // xram_rsp requests have the highest priority
                 {
-                    if(r_xram_rsp_to_tgt_rsp_req)
+                    if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
                         r_tgt_rsp_cpt = r_xram_rsp_to_tgt_rsp_word.read();
                     }
-                    else if(r_multi_ack_to_tgt_rsp_req) 
+                    else if (r_multi_ack_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
                         r_tgt_rsp_cpt = r_multi_ack_to_tgt_rsp_word.read();
                     }
-                    else if(r_cleanup_to_tgt_rsp_req)
+                    else if (r_cleanup_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
                         r_tgt_rsp_cpt = r_cleanup_to_tgt_rsp_first_word.read();
                     }
-                    else if(r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
-                    else if(r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
-                    else if(r_read_to_tgt_rsp_req)
+                    else if (r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
                         r_tgt_rsp_cpt = r_read_to_tgt_rsp_word.read();
                     }
-                    else if(r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
-                    else if(r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
+                    else if (r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
                     break;
                 }
@@ -8869,24 +8638,24 @@
             case TGT_RSP_XRAM_IDLE: // multi ack requests have the highest priority
                 {
-                    if(r_multi_ack_to_tgt_rsp_req.read()) 
+                    if (r_multi_ack_to_tgt_rsp_req.read()) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
                         r_tgt_rsp_cpt = r_multi_ack_to_tgt_rsp_word.read();
                     }
-                    else if(r_cleanup_to_tgt_rsp_req)
+                    else if (r_cleanup_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
                         r_tgt_rsp_cpt = r_cleanup_to_tgt_rsp_first_word.read();
                     }
-                    else if(r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
-                    else if(r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
-                    else if(r_read_to_tgt_rsp_req)
+                    else if (r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
                         r_tgt_rsp_cpt = r_read_to_tgt_rsp_word.read();
                     }
-                    else if(r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
-                    else if(r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
-                    else if(r_xram_rsp_to_tgt_rsp_req)
+                    else if (r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
+                    else if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
@@ -8898,24 +8667,24 @@
             case TGT_RSP_MULTI_ACK_IDLE: // cleanup requests have the highest priority
                 {
-                    if(r_cleanup_to_tgt_rsp_req)
+                    if (r_cleanup_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
                         r_tgt_rsp_cpt = r_cleanup_to_tgt_rsp_first_word.read();
                     }
-                    else if(r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
-                    else if(r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
-                    else if(r_read_to_tgt_rsp_req)
+                    else if (r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
                         r_tgt_rsp_cpt = r_read_to_tgt_rsp_word.read();
                     }
-                    else if(r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
-                    else if(r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
-                    else if(r_xram_rsp_to_tgt_rsp_req)
+                    else if (r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
+                    else if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
                         r_tgt_rsp_cpt = r_xram_rsp_to_tgt_rsp_word.read();
                     }
-                    else if(r_multi_ack_to_tgt_rsp_req) 
+                    else if (r_multi_ack_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
@@ -8927,24 +8696,24 @@
             case TGT_RSP_CLEANUP_IDLE: // tgt cmd requests have the highest priority
                 {
-                    if(r_config_to_tgt_rsp_req)         r_tgt_rsp_fsm = TGT_RSP_CONFIG;
-                    else if(r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
-                    else if(r_read_to_tgt_rsp_req)
+                    if (r_config_to_tgt_rsp_req)         r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
                         r_tgt_rsp_cpt = r_read_to_tgt_rsp_word.read();
                     }
-                    else if(r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
-                    else if(r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
-                    else if(r_xram_rsp_to_tgt_rsp_req)
+                    else if (r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS  ;
+                    else if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
                         r_tgt_rsp_cpt = r_xram_rsp_to_tgt_rsp_word.read();
                     }
-                    else if(r_multi_ack_to_tgt_rsp_req) 
+                    else if (r_multi_ack_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
                         r_tgt_rsp_cpt = r_multi_ack_to_tgt_rsp_word.read();
                     }
-                    else if(r_cleanup_to_tgt_rsp_req)
+                    else if (r_cleanup_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
@@ -8956,5 +8725,5 @@
             case TGT_RSP_CONFIG:  // send the response for a config transaction
                 {
-                    if ( p_vci_tgt.rspack )
+                    if (p_vci_tgt.rspack )
                     {
                         r_config_to_tgt_rsp_req = false;
@@ -8962,5 +8731,5 @@
 
 #if DEBUG_MEMC_TGT_RSP
-                        if( m_debug )
+                        if (m_debug )
                         {
                             std::cout
@@ -8979,5 +8748,5 @@
             case TGT_RSP_TGT_CMD: // send the response for a configuration access
                 {
-                    if ( p_vci_tgt.rspack )
+                    if (p_vci_tgt.rspack )
                     {
                         r_tgt_cmd_to_tgt_rsp_req = false;
@@ -8985,5 +8754,5 @@
 
 #if DEBUG_MEMC_TGT_RSP
-                        if( m_debug )
+                        if (m_debug )
                         {
                             std::cout
@@ -9003,9 +8772,9 @@
             case TGT_RSP_READ:    // send the response to a read
                 {
-                    if ( p_vci_tgt.rspack )
+                    if (p_vci_tgt.rspack )
                     {
 
 #if DEBUG_MEMC_TGT_RSP
-                        if( m_debug )
+                        if (m_debug )
                         {
                             std::cout
@@ -9050,9 +8819,9 @@
             case TGT_RSP_WRITE:   // send the write acknowledge
                 {
-                    if(p_vci_tgt.rspack)
+                    if (p_vci_tgt.rspack)
                     {
 
 #if DEBUG_MEMC_TGT_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " TGT_RSP_WRITE> Write response"
                                 << " / rsrcid = " << std::hex << r_write_to_tgt_rsp_srcid.read()
@@ -9068,10 +8837,10 @@
             case TGT_RSP_CLEANUP:   // pas clair pour moi (AG)
                 {
-                    if(p_vci_tgt.rspack)
+                    if (p_vci_tgt.rspack)
                     {
                         uint32_t last_word_idx = r_cleanup_to_tgt_rsp_first_word.read() + r_cleanup_to_tgt_rsp_length.read() - 1;
                         bool is_ll    = ((r_cleanup_to_tgt_rsp_pktid.read() & 0x7) == TYPE_LL);
 #if DEBUG_MEMC_TGT_RSP
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout << "  <MEMC " << name() << " TGT_RSP_CLEANUP> Cleanup response"
@@ -9111,9 +8880,9 @@
             case TGT_RSP_CAS:    // send one atomic word response
                 {
-                    if(p_vci_tgt.rspack)
+                    if (p_vci_tgt.rspack)
                     {
 
 #if DEBUG_MEMC_TGT_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " TGT_RSP_CAS> CAS response"
                                 << " / rsrcid = " << std::hex << r_cas_to_tgt_rsp_srcid.read()
@@ -9129,9 +8898,9 @@
             case TGT_RSP_XRAM:    // send the response after XRAM access
                 {
-                    if ( p_vci_tgt.rspack )
+                    if (p_vci_tgt.rspack )
                     {
 
 #if DEBUG_MEMC_TGT_RSP
-                        if( m_debug )
+                        if (m_debug )
                             std::cout << "  <MEMC " << name() << " TGT_RSP_XRAM> Response following XRAM access"
                                 << " / rsrcid = " << std::hex << r_xram_rsp_to_tgt_rsp_srcid.read()
@@ -9172,5 +8941,5 @@
             case TGT_RSP_MULTI_ACK:    // send the read /LL response after coherence transaction
                 {
-                    if(p_vci_tgt.rspack)
+                    if (p_vci_tgt.rspack)
                     {
 
@@ -9182,5 +8951,5 @@
 
 #if DEBUG_MEMC_TGT_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " TGT_RSP_MULTI_ACK> Write response after coherence transaction"
                                 << " / rsrcid = " << std::hex << r_multi_ack_to_tgt_rsp_srcid.read()
@@ -9235,5 +9004,5 @@
                 if (r_write_fsm.read() != WRITE_INVAL_IVT_LOCK) 
                 {
-                    if((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
+                    if ((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
                        (r_read_fsm.read() == READ_IVT_UPDT_LOCK))
                         r_alloc_ivt_fsm = ALLOC_IVT_READ;
@@ -9255,6 +9024,4 @@
                         r_alloc_ivt_fsm = ALLOC_IVT_MULTI_ACK;
 
-                    else
-                        m_cpt_ivt_unused++;
                 }
                 break;
@@ -9262,5 +9029,5 @@
                 //////////////////////////
             case ALLOC_IVT_READ:            // allocated to READ FSM
-               if((r_read_fsm.read() != READ_IVT_INVAL_LOCK) and
+               if ((r_read_fsm.read() != READ_IVT_INVAL_LOCK) and
                   (r_read_fsm.read() != READ_IVT_UPDT_LOCK))
                {
@@ -9284,6 +9051,4 @@
                         r_alloc_ivt_fsm = ALLOC_IVT_WRITE;
 
-                    else
-                        m_cpt_ivt_unused++;
                 }
                 break;
@@ -9291,5 +9056,5 @@
                 //////////////////////////
             case ALLOC_IVT_XRAM_RSP:         // allocated to XRAM_RSP FSM
-                if(r_xram_rsp_fsm.read() != XRAM_RSP_IVT_LOCK)
+                if (r_xram_rsp_fsm.read() != XRAM_RSP_IVT_LOCK)
                 {
                     if ((r_cleanup_fsm.read() == CLEANUP_MISS_IVT_LOCK) or
@@ -9309,10 +9074,8 @@
                         r_alloc_ivt_fsm = ALLOC_IVT_WRITE;
 
-                    else if((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
+                    else if ((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
                             (r_read_fsm.read() == READ_IVT_UPDT_LOCK))
                         r_alloc_ivt_fsm = ALLOC_IVT_READ;
 
-                    else
-                        m_cpt_ivt_unused++;
                 }
                 break;
@@ -9337,5 +9100,5 @@
                         r_alloc_ivt_fsm = ALLOC_IVT_WRITE;
 
-                    else if((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
+                    else if ((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
                            (r_read_fsm.read() == READ_IVT_UPDT_LOCK))
                         r_alloc_ivt_fsm = ALLOC_IVT_READ;
@@ -9343,7 +9106,4 @@
                     else if (r_xram_rsp_fsm.read() == XRAM_RSP_IVT_LOCK)
                         r_alloc_ivt_fsm = ALLOC_IVT_XRAM_RSP;
-
-                    else
-                        m_cpt_ivt_unused++;
                 }
                 break;
@@ -9362,5 +9122,5 @@
                         r_alloc_ivt_fsm = ALLOC_IVT_WRITE;
 
-                    else if((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
+                    else if ((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
                             (r_read_fsm.read() == READ_IVT_UPDT_LOCK))
                         r_alloc_ivt_fsm = ALLOC_IVT_READ;
@@ -9372,7 +9132,4 @@
                              (r_cleanup_fsm.read() == CLEANUP_LOCKED_IVT_LOCK))
                         r_alloc_ivt_fsm = ALLOC_IVT_CLEANUP;
-
-                    else
-                        m_cpt_ivt_unused++;
                 }
                 break;
@@ -9388,5 +9145,5 @@
                         r_alloc_ivt_fsm = ALLOC_IVT_WRITE;
 
-                    else if((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
+                    else if ((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
                             (r_read_fsm.read() == READ_IVT_UPDT_LOCK))
                         r_alloc_ivt_fsm = ALLOC_IVT_READ;
@@ -9401,7 +9158,4 @@
                     else if (r_cas_fsm.read() == CAS_INVAL_IVT_LOCK) 
                         r_alloc_ivt_fsm = ALLOC_IVT_CAS;
-
-                    else
-                        m_cpt_ivt_unused++;
                 }
                 break;
@@ -9417,5 +9171,5 @@
                         r_alloc_ivt_fsm = ALLOC_IVT_WRITE;
 
-                    else if((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
+                    else if ((r_read_fsm.read() == READ_IVT_INVAL_LOCK) or
                             (r_read_fsm.read() == READ_IVT_UPDT_LOCK))
                         r_alloc_ivt_fsm = ALLOC_IVT_READ;
@@ -9433,7 +9187,4 @@
                     else if (r_config_fsm.read() == CONFIG_IVT_LOCK)
                         r_alloc_ivt_fsm = ALLOC_IVT_CONFIG;
-
-                    else
-                        m_cpt_ivt_unused++;
                 }
                 break;
@@ -9459,5 +9210,5 @@
                 r_alloc_dir_reset_cpt.write(r_alloc_dir_reset_cpt.read() + 1);
 
-                if(r_alloc_dir_reset_cpt.read() == (m_sets - 1))
+                if (r_alloc_dir_reset_cpt.read() == (m_sets - 1))
                 {
                     m_cache_directory.init();
@@ -9468,5 +9219,5 @@
                 //////////////////////
             case ALLOC_DIR_CONFIG:    // allocated to CONFIG FSM
-                if ( (r_config_fsm.read()    != CONFIG_DIR_REQ) and
+                if ((r_config_fsm.read()    != CONFIG_DIR_REQ) and
                      (r_config_fsm.read()    != CONFIG_DIR_ACCESS) and
                      (r_config_fsm.read()    != CONFIG_TRT_LOCK) and
@@ -9474,25 +9225,21 @@
                      (r_config_fsm.read()    != CONFIG_IVT_LOCK) )
                 {
-                    if(r_read_fsm.read() == READ_DIR_REQ)
+                    if (r_read_fsm.read() == READ_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_READ;
 
-                    else if(r_write_fsm.read() == WRITE_DIR_REQ)
+                    else if (r_write_fsm.read() == WRITE_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_DIR_REQ)
+                    else if (r_cas_fsm.read() == CAS_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CAS;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_MULTI_ACK;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CLEANUP;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
                         r_alloc_dir_fsm = ALLOC_DIR_XRAM_RSP;
-
-                    else
-                        m_cpt_dir_unused++;
- 
                 }
                 break;
@@ -9500,5 +9247,5 @@
                 ////////////////////
             case ALLOC_DIR_READ:    // allocated to READ FSM
-                if( ((r_read_fsm.read()      != READ_DIR_REQ)   and
+                if (((r_read_fsm.read()      != READ_DIR_REQ)   and
                      (r_read_fsm.read()      != READ_DIR_LOCK)   and
                      (r_read_fsm.read()      != READ_TRT_LOCK)   and
@@ -9511,32 +9258,27 @@
                      (r_alloc_trt_fsm.read()  == ALLOC_TRT_READ)) )
                 {
-                    if(r_write_fsm.read() == WRITE_DIR_REQ)
+                    if (r_write_fsm.read() == WRITE_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_DIR_REQ)
+                    else if (r_cas_fsm.read() == CAS_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CAS;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_MULTI_ACK;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CLEANUP;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
                         r_alloc_dir_fsm = ALLOC_DIR_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_DIR_REQ)
+                    else if (r_config_fsm.read() == CONFIG_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CONFIG;
-
-                    else
-                        m_cpt_dir_unused++;
-                }
-                else
-                    m_cpt_read_fsm_dir_used++;
+                }
                 break;
 
                 /////////////////////
             case ALLOC_DIR_WRITE:
-                if(((r_write_fsm.read()       != WRITE_DIR_REQ)  and
+                if (((r_write_fsm.read()       != WRITE_DIR_REQ)  and
                     (r_write_fsm.read()       != WRITE_DIR_LOCK)  and
                     (r_write_fsm.read()       != WRITE_DIR_HIT)  and
@@ -9552,32 +9294,27 @@
                      (r_alloc_trt_fsm.read()  == ALLOC_TRT_WRITE)))
                 {
-                    if(r_cas_fsm.read() == CAS_DIR_REQ)
+                    if (r_cas_fsm.read() == CAS_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CAS;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_MULTI_ACK;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CLEANUP;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
                         r_alloc_dir_fsm = ALLOC_DIR_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_DIR_REQ)
+                    else if (r_config_fsm.read() == CONFIG_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CONFIG;
 
-                    else if(r_read_fsm.read() == READ_DIR_REQ)
+                    else if (r_read_fsm.read() == READ_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_READ;
-
-                    else
-                        m_cpt_dir_unused++;
-                }
-                else
-                    m_cpt_write_fsm_dir_used++;
+                }
                 break;
 
                 ///////////////////
             case ALLOC_DIR_CAS:    // allocated to CAS FSM
-                if(((r_cas_fsm.read()         != CAS_DIR_REQ)  and
+                if (((r_cas_fsm.read()         != CAS_DIR_REQ)  and
                     (r_cas_fsm.read()         != CAS_DIR_LOCK)  and
                     (r_cas_fsm.read()         != CAS_DIR_HIT_READ)  and
@@ -9594,31 +9331,26 @@
                      (r_alloc_trt_fsm.read()  == ALLOC_TRT_CAS)))
                 {                   
-                    if(r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
+                    if (r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_MULTI_ACK;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CLEANUP;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
                         r_alloc_dir_fsm = ALLOC_DIR_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_DIR_REQ)
+                    else if (r_config_fsm.read() == CONFIG_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CONFIG;
 
-                    else if(r_read_fsm.read() == READ_DIR_REQ)
+                    else if (r_read_fsm.read() == READ_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_READ;
 
-                    else if(r_write_fsm.read() == WRITE_DIR_REQ)
+                    else if (r_write_fsm.read() == WRITE_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_WRITE;
-
-                    else
-                        m_cpt_dir_unused++;
-                }
-                else
-                    m_cpt_cas_fsm_dir_used++;
+                }
                 break;
                 ////////////////////////
             case ALLOC_DIR_MULTI_ACK:    // allocated to MULTI_ACK FSM
-                if(((r_multi_ack_fsm.read() != MULTI_ACK_DIR_REQ) and
+                if (((r_multi_ack_fsm.read() != MULTI_ACK_DIR_REQ) and
                     (r_multi_ack_fsm.read() != MULTI_ACK_DIR_LOCK) and
                     (r_multi_ack_fsm.read() != MULTI_ACK_IVT_LOCK) and
@@ -9631,31 +9363,26 @@
                  //    (r_alloc_heap_fsm.read() == ALLOC_HEAP_MULTI_ACK)))
                 {
-                    if(r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
+                    if (r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CLEANUP;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
                         r_alloc_dir_fsm = ALLOC_DIR_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_DIR_REQ)
+                    else if (r_config_fsm.read() == CONFIG_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CONFIG;
 
-                    else if(r_read_fsm.read() == READ_DIR_REQ)
+                    else if (r_read_fsm.read() == READ_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_READ;
 
-                    else if(r_write_fsm.read() == WRITE_DIR_REQ)
+                    else if (r_write_fsm.read() == WRITE_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_DIR_REQ)
+                    else if (r_cas_fsm.read() == CAS_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CAS;
-
-                    else
-                        m_cpt_dir_unused++;
-                }
-                else
-                    m_cpt_multi_ack_fsm_dir_used++;
+                }
                 break;
                 ///////////////////////
             case ALLOC_DIR_CLEANUP:    // allocated to CLEANUP FSM
-                if((r_cleanup_fsm.read() != CLEANUP_DIR_REQ) and
+                if ((r_cleanup_fsm.read() != CLEANUP_DIR_REQ) and
                    (r_cleanup_fsm.read() != CLEANUP_DIR_LOCK) and
                    (r_cleanup_fsm.read() != CLEANUP_LOCKED_IVT_LOCK) and
@@ -9664,58 +9391,48 @@
                    (r_cleanup_fsm.read() != CLEANUP_HEAP_LOCK))
                 {
-                    if(r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
+                    if (r_xram_rsp_fsm.read() == XRAM_RSP_DIR_LOCK)
                         r_alloc_dir_fsm = ALLOC_DIR_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_DIR_REQ)
+                    else if (r_config_fsm.read() == CONFIG_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CONFIG;
 
-                    else if(r_read_fsm.read() == READ_DIR_REQ)
+                    else if (r_read_fsm.read() == READ_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_READ;
 
-                    else if(r_write_fsm.read() == WRITE_DIR_REQ)
+                    else if (r_write_fsm.read() == WRITE_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_DIR_REQ)
+                    else if (r_cas_fsm.read() == CAS_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CAS;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_MULTI_ACK;
-
-                    else
-                        m_cpt_dir_unused++;
-                }
-                else
-                    m_cpt_cleanup_fsm_dir_used++;
+                }
                 break;
 
                 ////////////////////////
             case ALLOC_DIR_XRAM_RSP:    // allocated to XRAM_RSP FSM
-                if( (r_xram_rsp_fsm.read() != XRAM_RSP_DIR_LOCK) and
+                if ((r_xram_rsp_fsm.read() != XRAM_RSP_DIR_LOCK) and
                     (r_xram_rsp_fsm.read() != XRAM_RSP_TRT_COPY) and
                     (r_xram_rsp_fsm.read() != XRAM_RSP_IVT_LOCK))
                 {
-                    if(r_config_fsm.read() == CONFIG_DIR_REQ)
+                    if (r_config_fsm.read() == CONFIG_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CONFIG;
 
-                    else if(r_read_fsm.read() == READ_DIR_REQ)
+                    else if (r_read_fsm.read() == READ_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_READ;
 
-                    else if(r_write_fsm.read() == WRITE_DIR_REQ)
+                    else if (r_write_fsm.read() == WRITE_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_DIR_REQ)
+                    else if (r_cas_fsm.read() == CAS_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CAS;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_MULTI_ACK;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_DIR_REQ)
                         r_alloc_dir_fsm = ALLOC_DIR_CLEANUP;
-
-                    else
-                        m_cpt_dir_unused++;
-                }
-                else
-                    m_cpt_xram_rsp_fsm_dir_used++;
+                }
                 break;
 
@@ -9735,13 +9452,13 @@
             ////////////////////
             case ALLOC_TRT_READ:
-                if(r_read_fsm.read() != READ_TRT_LOCK)
-                {
-                    if(r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
+                if (r_read_fsm.read() != READ_TRT_LOCK)
+                {
+                    if (r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
+                    else if (r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_CAS;
 
-                    else if((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
+                    else if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_TRT) or
